"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = minifySvg;

var _svgo = _interopRequireDefault(require("svgo"));

var _posthtmlRender = _interopRequireDefault(require("posthtml-render"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Minify SVG with SVGO */
function minifySvg(tree, options, svgoOptions = {}) {
  let promises = [];
  let svgo = new _svgo.default(svgoOptions);
  tree.match({
    tag: 'svg'
  }, node => {
    let svgStr = (0, _posthtmlRender.default)(node);
    let promise = svgo.optimize(svgStr).then(result => {
      node.tag = false;
      node.attrs = {};
      node.content = result.data;
    });
    promises.push(promise);
    return node;
  });
  return Promise.all(promises).then(() => tree);
}